### Hierarchy

- DocumentEvent
  - SVGSVGElement

## Index

### Methods

- createEvent

## Methods

### createEvent

- createEvent(eventInterface: "AnimationEvent"): AnimationEvent
- createEvent(eventInterface: "AnimationPlaybackEvent"): AnimationPlaybackEvent
- createEvent(eventInterface: "AudioProcessingEvent"): AudioProcessingEvent
- createEvent(eventInterface: "BeforeUnloadEvent"): BeforeUnloadEvent
- createEvent(eventInterface: "ClipboardEvent"): ClipboardEvent
- createEvent(eventInterface: "CloseEvent"): CloseEvent
- createEvent(eventInterface: "CompositionEvent"): CompositionEvent
- createEvent(eventInterface: "CustomEvent"): CustomEvent
- createEvent(eventInterface: "DeviceLightEvent"): DeviceLightEvent
- createEvent(eventInterface: "DeviceMotionEvent"): DeviceMotionEvent
- createEvent(eventInterface: "DeviceOrientationEvent"): DeviceOrientationEvent
- createEvent(eventInterface: "DragEvent"): DragEvent
- createEvent(eventInterface: "ErrorEvent"): ErrorEvent
- createEvent(eventInterface: "Event"): Event
- createEvent(eventInterface: "Events"): Event
- createEvent(eventInterface: "FocusEvent"): FocusEvent
- createEvent(eventInterface: "FocusNavigationEvent"): FocusNavigationEvent
- createEvent(eventInterface: "GamepadEvent"): GamepadEvent
- createEvent(eventInterface: "HashChangeEvent"): HashChangeEvent
- createEvent(eventInterface: "IDBVersionChangeEvent"): IDBVersionChangeEvent
- createEvent(eventInterface: "KeyboardEvent"): KeyboardEvent
- createEvent(eventInterface: "ListeningStateChangedEvent"): ListeningStateChangedEvent
- createEvent(eventInterface: "MSGestureEvent"): MSGestureEvent
- createEvent(eventInterface: "MSMediaKeyMessageEvent"): MSMediaKeyMessageEvent
- createEvent(eventInterface: "MSMediaKeyNeededEvent"): MSMediaKeyNeededEvent
- createEvent(eventInterface: "MSPointerEvent"): MSPointerEvent
- createEvent(eventInterface: "MediaEncryptedEvent"): MediaEncryptedEvent
- createEvent(eventInterface: "MediaKeyMessageEvent"): MediaKeyMessageEvent
- createEvent(eventInterface: "MediaQueryListEvent"): MediaQueryListEvent
- createEvent(eventInterface: "MediaStreamErrorEvent"): MediaStreamErrorEvent
- createEvent(eventInterface: "MediaStreamEvent"): MediaStreamEvent
- createEvent(eventInterface: "MediaStreamTrackEvent"): MediaStreamTrackEvent
- createEvent(eventInterface: "MessageEvent"): MessageEvent
- createEvent(eventInterface: "MouseEvent"): MouseEvent
- createEvent(eventInterface: "MouseEvents"): MouseEvent
- createEvent(eventInterface: "MutationEvent"): MutationEvent
- createEvent(eventInterface: "MutationEvents"): MutationEvent
- createEvent(eventInterface: "OfflineAudioCompletionEvent"): OfflineAudioCompletionEvent
- createEvent(eventInterface: "OverflowEvent"): OverflowEvent
- createEvent(eventInterface: "PageTransitionEvent"): PageTransitionEvent
- createEvent(eventInterface: "PaymentRequestUpdateEvent"): PaymentRequestUpdateEvent
- createEvent(eventInterface: "PermissionRequestedEvent"): PermissionRequestedEvent
- createEvent(eventInterface: "PointerEvent"): PointerEvent
- createEvent(eventInterface: "PopStateEvent"): PopStateEvent
- createEvent(eventInterface: "ProgressEvent"): ProgressEvent
- createEvent(eventInterface: "PromiseRejectionEvent"): PromiseRejectionEvent
- createEvent(eventInterface: "RTCDTMFToneChangeEvent"): RTCDTMFToneChangeEvent
- createEvent(eventInterface: "RTCDataChannelEvent"): RTCDataChannelEvent
- createEvent(eventInterface: "RTCDtlsTransportStateChangedEvent"): RTCDtlsTransportStateChangedEvent
- createEvent(eventInterface: "RTCErrorEvent"): RTCErrorEvent
- createEvent(eventInterface: "RTCIceCandidatePairChangedEvent"): RTCIceCandidatePairChangedEvent
- createEvent(eventInterface: "RTCIceGathererEvent"): RTCIceGathererEvent
- createEvent(eventInterface: "RTCIceTransportStateChangedEvent"): RTCIceTransportStateChangedEvent
- createEvent(eventInterface: "RTCPeerConnectionIceErrorEvent"): RTCPeerConnectionIceErrorEvent
- createEvent(eventInterface: "RTCPeerConnectionIceEvent"): RTCPeerConnectionIceEvent
- createEvent(eventInterface: "RTCSsrcConflictEvent"): RTCSsrcConflictEvent
- createEvent(eventInterface: "RTCStatsEvent"): RTCStatsEvent
- createEvent(eventInterface: "RTCTrackEvent"): RTCTrackEvent
- createEvent(eventInterface: "SVGZoomEvent"): SVGZoomEvent
- createEvent(eventInterface: "SVGZoomEvents"): SVGZoomEvent
- createEvent(eventInterface: "SecurityPolicyViolationEvent"): SecurityPolicyViolationEvent
- createEvent(eventInterface: "ServiceWorkerMessageEvent"): ServiceWorkerMessageEvent
- createEvent(eventInterface: "SpeechRecognitionError"): SpeechRecognitionError
- createEvent(eventInterface: "SpeechRecognitionEvent"): SpeechRecognitionEvent
- createEvent(eventInterface: "SpeechSynthesisErrorEvent"): SpeechSynthesisErrorEvent
- createEvent(eventInterface: "SpeechSynthesisEvent"): SpeechSynthesisEvent
- createEvent(eventInterface: "StorageEvent"): StorageEvent
- createEvent(eventInterface: "TextEvent"): TextEvent
- createEvent(eventInterface: "TouchEvent"): TouchEvent
- createEvent(eventInterface: "TrackEvent"): TrackEvent
- createEvent(eventInterface: "TransitionEvent"): TransitionEvent
- createEvent(eventInterface: "UIEvent"): UIEvent
- createEvent(eventInterface: "UIEvents"): UIEvent
- createEvent(eventInterface: "VRDisplayEvent"): VRDisplayEvent
- createEvent(eventInterface: "VRDisplayEvent "): VRDisplayEvent
- createEvent(eventInterface: "WebGLContextEvent"): WebGLContextEvent
- createEvent(eventInterface: "WheelEvent"): WheelEvent
- createEvent(eventInterface: string): Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4599

  #### Parameters

  - ##### eventInterface: "AnimationEvent"

  #### Returns AnimationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4600

  #### Parameters

  - ##### eventInterface: "AnimationPlaybackEvent"

  #### Returns AnimationPlaybackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4601

  #### Parameters

  - ##### eventInterface: "AudioProcessingEvent"

  #### Returns AudioProcessingEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4602

  #### Parameters

  - ##### eventInterface: "BeforeUnloadEvent"

  #### Returns BeforeUnloadEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4603

  #### Parameters

  - ##### eventInterface: "ClipboardEvent"

  #### Returns ClipboardEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4604

  #### Parameters

  - ##### eventInterface: "CloseEvent"

  #### Returns CloseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4605

  #### Parameters

  - ##### eventInterface: "CompositionEvent"

  #### Returns CompositionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4606

  #### Parameters

  - ##### eventInterface: "CustomEvent"

  #### Returns CustomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4607

  #### Parameters

  - ##### eventInterface: "DeviceLightEvent"

  #### Returns DeviceLightEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4608

  #### Parameters

  - ##### eventInterface: "DeviceMotionEvent"

  #### Returns DeviceMotionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4609

  #### Parameters

  - ##### eventInterface: "DeviceOrientationEvent"

  #### Returns DeviceOrientationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4610

  #### Parameters

  - ##### eventInterface: "DragEvent"

  #### Returns DragEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4611

  #### Parameters

  - ##### eventInterface: "ErrorEvent"

  #### Returns ErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4612

  #### Parameters

  - ##### eventInterface: "Event"

  #### Returns Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4613

  #### Parameters

  - ##### eventInterface: "Events"

  #### Returns Event

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4614

  #### Parameters

  - ##### eventInterface: "FocusEvent"

  #### Returns FocusEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4615

  #### Parameters

  - ##### eventInterface: "FocusNavigationEvent"

  #### Returns FocusNavigationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4616

  #### Parameters

  - ##### eventInterface: "GamepadEvent"

  #### Returns GamepadEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4617

  #### Parameters

  - ##### eventInterface: "HashChangeEvent"

  #### Returns HashChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4618

  #### Parameters

  - ##### eventInterface: "IDBVersionChangeEvent"

  #### Returns IDBVersionChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4619

  #### Parameters

  - ##### eventInterface: "KeyboardEvent"

  #### Returns KeyboardEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4620

  #### Parameters

  - ##### eventInterface: "ListeningStateChangedEvent"

  #### Returns ListeningStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4621

  #### Parameters

  - ##### eventInterface: "MSGestureEvent"

  #### Returns MSGestureEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4622

  #### Parameters

  - ##### eventInterface: "MSMediaKeyMessageEvent"

  #### Returns MSMediaKeyMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4623

  #### Parameters

  - ##### eventInterface: "MSMediaKeyNeededEvent"

  #### Returns MSMediaKeyNeededEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4624

  #### Parameters

  - ##### eventInterface: "MSPointerEvent"

  #### Returns MSPointerEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4625

  #### Parameters

  - ##### eventInterface: "MediaEncryptedEvent"

  #### Returns MediaEncryptedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4626

  #### Parameters

  - ##### eventInterface: "MediaKeyMessageEvent"

  #### Returns MediaKeyMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4627

  #### Parameters

  - ##### eventInterface: "MediaQueryListEvent"

  #### Returns MediaQueryListEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4628

  #### Parameters

  - ##### eventInterface: "MediaStreamErrorEvent"

  #### Returns MediaStreamErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4629

  #### Parameters

  - ##### eventInterface: "MediaStreamEvent"

  #### Returns MediaStreamEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4630

  #### Parameters

  - ##### eventInterface: "MediaStreamTrackEvent"

  #### Returns MediaStreamTrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4631

  #### Parameters

  - ##### eventInterface: "MessageEvent"

  #### Returns MessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4632

  #### Parameters

  - ##### eventInterface: "MouseEvent"

  #### Returns MouseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4633

  #### Parameters

  - ##### eventInterface: "MouseEvents"

  #### Returns MouseEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4634

  #### Parameters

  - ##### eventInterface: "MutationEvent"

  #### Returns MutationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4635

  #### Parameters

  - ##### eventInterface: "MutationEvents"

  #### Returns MutationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4636

  #### Parameters

  - ##### eventInterface: "OfflineAudioCompletionEvent"

  #### Returns OfflineAudioCompletionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4637

  #### Parameters

  - ##### eventInterface: "OverflowEvent"

  #### Returns OverflowEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4638

  #### Parameters

  - ##### eventInterface: "PageTransitionEvent"

  #### Returns PageTransitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4639

  #### Parameters

  - ##### eventInterface: "PaymentRequestUpdateEvent"

  #### Returns PaymentRequestUpdateEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4640

  #### Parameters

  - ##### eventInterface: "PermissionRequestedEvent"

  #### Returns PermissionRequestedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4641

  #### Parameters

  - ##### eventInterface: "PointerEvent"

  #### Returns PointerEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4642

  #### Parameters

  - ##### eventInterface: "PopStateEvent"

  #### Returns PopStateEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4643

  #### Parameters

  - ##### eventInterface: "ProgressEvent"

  #### Returns ProgressEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4644

  #### Parameters

  - ##### eventInterface: "PromiseRejectionEvent"

  #### Returns PromiseRejectionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4645

  #### Parameters

  - ##### eventInterface: "RTCDTMFToneChangeEvent"

  #### Returns RTCDTMFToneChangeEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4646

  #### Parameters

  - ##### eventInterface: "RTCDataChannelEvent"

  #### Returns RTCDataChannelEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4647

  #### Parameters

  - ##### eventInterface: "RTCDtlsTransportStateChangedEvent"

  #### Returns RTCDtlsTransportStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4648

  #### Parameters

  - ##### eventInterface: "RTCErrorEvent"

  #### Returns RTCErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4649

  #### Parameters

  - ##### eventInterface: "RTCIceCandidatePairChangedEvent"

  #### Returns RTCIceCandidatePairChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4650

  #### Parameters

  - ##### eventInterface: "RTCIceGathererEvent"

  #### Returns RTCIceGathererEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4651

  #### Parameters

  - ##### eventInterface: "RTCIceTransportStateChangedEvent"

  #### Returns RTCIceTransportStateChangedEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4652

  #### Parameters

  - ##### eventInterface: "RTCPeerConnectionIceErrorEvent"

  #### Returns RTCPeerConnectionIceErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4653

  #### Parameters

  - ##### eventInterface: "RTCPeerConnectionIceEvent"

  #### Returns RTCPeerConnectionIceEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4654

  #### Parameters

  - ##### eventInterface: "RTCSsrcConflictEvent"

  #### Returns RTCSsrcConflictEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4655

  #### Parameters

  - ##### eventInterface: "RTCStatsEvent"

  #### Returns RTCStatsEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4656

  #### Parameters

  - ##### eventInterface: "RTCTrackEvent"

  #### Returns RTCTrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4657

  #### Parameters

  - ##### eventInterface: "SVGZoomEvent"

  #### Returns SVGZoomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4658

  #### Parameters

  - ##### eventInterface: "SVGZoomEvents"

  #### Returns SVGZoomEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4659

  #### Parameters

  - ##### eventInterface: "SecurityPolicyViolationEvent"

  #### Returns SecurityPolicyViolationEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4660

  #### Parameters

  - ##### eventInterface: "ServiceWorkerMessageEvent"

  #### Returns ServiceWorkerMessageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4661

  #### Parameters

  - ##### eventInterface: "SpeechRecognitionError"

  #### Returns SpeechRecognitionError

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4662

  #### Parameters

  - ##### eventInterface: "SpeechRecognitionEvent"

  #### Returns SpeechRecognitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4663

  #### Parameters

  - ##### eventInterface: "SpeechSynthesisErrorEvent"

  #### Returns SpeechSynthesisErrorEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4664

  #### Parameters

  - ##### eventInterface: "SpeechSynthesisEvent"

  #### Returns SpeechSynthesisEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4665

  #### Parameters

  - ##### eventInterface: "StorageEvent"

  #### Returns StorageEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4666

  #### Parameters

  - ##### eventInterface: "TextEvent"

  #### Returns TextEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4667

  #### Parameters

  - ##### eventInterface: "TouchEvent"

  #### Returns TouchEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4668

  #### Parameters

  - ##### eventInterface: "TrackEvent"

  #### Returns TrackEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4669

  #### Parameters

  - ##### eventInterface: "TransitionEvent"

  #### Returns TransitionEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4670

  #### Parameters

  - ##### eventInterface: "UIEvent"

  #### Returns UIEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4671

  #### Parameters

  - ##### eventInterface: "UIEvents"

  #### Returns UIEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4672

  #### Parameters

  - ##### eventInterface: "VRDisplayEvent"

  #### Returns VRDisplayEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4673

  #### Parameters

  - ##### eventInterface: "VRDisplayEvent "

  #### Returns VRDisplayEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4674

  #### Parameters

  - ##### eventInterface: "WebGLContextEvent"

  #### Returns WebGLContextEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4675

  #### Parameters

  - ##### eventInterface: "WheelEvent"

  #### Returns WheelEvent

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:4676

  #### Parameters

  - ##### eventInterface: string

  #### Returns Event

Generated using TypeDoc